Bug 1413995 - Clarify REX installation
Summary: Clarify REX installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Charles Wood
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 14:10 UTC by Bryan Kearney
Modified: 2020-02-14 18:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 08:37:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bryan Kearney 2017-01-17 14:10:13 UTC
There are a couple of issues around REX and installation


[1] - The host configuration guide states that REX is enabled by defautl which it is not. https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/host-configuration-guide#chap-Host_Configuration_Guide-Running_Remote_Jobs_on_Satellite_Hosts

[2] The host configuration guide does not have a section on enabling REX.

[3] There is no link from the install guide to the host configuration guide for setting up additional services.

Comment 1 Andrew Dahms 2017-02-15 08:43:56 UTC
Assigning to Charles for review.

Charles - looks like we will need to change the description at the start of the chapter, add a short procedure (one step?) on how to enable remote execution, then add a link to this chapter from the Installation Guide to help bring it together.

We will need to check what the command is to enable REX, but my assumption at current is that it would be something similar to that for SCAP, which is as follows -

"# satellite-installer --enable-foreman-plugin-openscap"

Comment 10 Charles Wood 2017-03-10 08:37:06 UTC
The content is now live on the customer portal.

There have been changes made to the host configuration guide detailing how to enable remote execution on Capsule Server. https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/host_configuration_guide/chap-host_configuration_guide-running_remote_jobs_on_satellite_hosts

The installation guide now links to the Host configuration guide. https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/installing_capsule_server#Enabling_Remote_Execution_on_Capsule_Server


Note You need to log in before you can comment on or make changes to this bug.